From 98b4dad017f0edc8d2e6332c7d7a2263e4bdd8a7 Mon Sep 17 00:00:00 2001
From: Heiko Becker <mail@heiko-becker.de>
Date: Sun, 12 Jan 2025 23:57:59 +0100
Subject: [PATCH] zxing >= 2.3.0 throws exceptions in ImageView.h

So enable them to avoid the following error:

"/usr/x86_64-pc-linux-gnu/include/ZXing/ImageView.h: In constructor
'ZXing::ImageView::ImageView(const uint8_t*, int, int, ZXing::ImageFormat, int, int)':
/usr/x86_64-pc-linux-gnu/include/ZXing/ImageView.h:86:105: error: exception
handling disabled, use '-fexceptions' to enable"
---
 src/core/CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/core/CMakeLists.txt b/src/core/CMakeLists.txt
index bee5a8e..1982911 100644
--- a/src/core/CMakeLists.txt
+++ b/src/core/CMakeLists.txt
@@ -15,3 +15,5 @@ target_link_libraries(kodaskannacore
     PRIVATE
         ZXing::Core
 )
+
+kde_target_enable_exceptions(kodaskannacore PRIVATE)
-- 
GitLab

